// Blink RGB LED on Nano 33 BLE board 

#define DELAY_TIME 20 // milliseconds

void setup(){
  pinMode(LEDR, OUTPUT);
  pinMode(LEDG, OUTPUT);
  pinMode(LEDB, OUTPUT);
  // RGB LED is on when pin is driven LOW and off when 
  // pin is driven HIGH;
  digitalWrite(LEDR, HIGH);
  digitalWrite(LEDG, HIGH);
  digitalWrite(LEDB, HIGH);
}

void loop(){ 
  digitalWrite(LEDR, LOW);
  delay(DELAY_TIME);
  digitalWrite(LEDR, HIGH);
  delay(DELAY_TIME);
  
  digitalWrite(LEDG, LOW);
  delay(DELAY_TIME);
  digitalWrite(LEDG, HIGH);
  delay(DELAY_TIME); 
  
  digitalWrite(LEDB, LOW);
  delay(DELAY_TIME);
  digitalWrite(LEDB, HIGH);
  delay(DELAY_TIME);
}
